extends layouts/default.pug

block prepend meta
  - var title = 'register';
  - var description = 'register your diamonds matrix account'

block content
  h2 register
  .block
    p the registration requires a secret token
    p
      | if you don't already have one, 
      | ask other diamonds members to receive one
    p
      | registration does not require an email, 
      | just a username and a password that's longer than 8 characters.
    br
    br
    form(action='/register' method='post')#registration
      label(for='username')  Enter your username:
      br
      input#username(name='username', type='text', required='', pattern='^@?[a-zA-Z_\\-=\\.\\/0-9]+(:dmnd\.sh)?$', minlength='1', maxlength='200')
      br
      label(for='password') Enter your password:
      br
      input#password(name='password', type='password', required='', pattern=".{8,}")
      br
      label(for='confirm_password') Repeat your password:
      br
      input#confirm_password(name='confirm', type='password', required='')
      br
      label(for='token') Enter your invite token:
      br
      input#token(name='token', type='text', required='', pattern='^([A-Z][a-z]+)+$')
      br
      br
      input(type='submit', value='register')
    #success.hidden
      h3.center 💎 You're succesfully registered! 💎
      h4#welcome Welcome {{user}} to diamonds!
      p login with your client of choice, we recommend: 
        a(href='https://about.riot.im/') Riot 
      p or take a look over at: 
      p
        a(href='https://matrix.org/docs/projects/try-matrix-now.html') https://matrix.org/docs/projects/try-matrix-now.html
